import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for SyncContactSource
void main() {
  final instance = SyncContactSourceBuilder();
  // TODO add properties to the builder and call build()

  group(SyncContactSource, () {
    // String abteilung
    test('to test the property `abteilung`', () async {
      // TODO
    });

    // String anrede
    test('to test the property `anrede`', () async {
      // TODO
    });

    // BuiltList<SyncContactChannel> channels
    test('to test the property `channels`', () async {
      // TODO
    });

    // String funktion
    test('to test the property `funktion`', () async {
      // TODO
    });

    // String name1
    test('to test the property `name1`', () async {
      // TODO
    });

    // String name2
    test('to test the property `name2`', () async {
      // TODO
    });

    // String name3
    test('to test the property `name3`', () async {
      // TODO
    });

    // ContactRole role
    test('to test the property `role`', () async {
      // TODO
    });

    // String titel
    test('to test the property `titel`', () async {
      // TODO
    });

  });
}
